/*
 * This file is part of the Choices Operating System Simulator
 * Developed by: The TAPESTRY Parallel Computing Laboratory
 *		 University of Illinois at Urbana-Champaign
 *		 Department of Computer Science
 *		 1304 W. Springfield Ave.
 *		 Urbana, IL	61801
 *
 * Copyright (c) 1987, 1988, 1989 The University of Illinois Board of Trustees.
 *	All Rights Reserved.
 * CONFIDENTIAL INFORMATION. Distribution restricted under license agreement.
 *
 * Author: Gary M. Johnston (johnston@cs.uiuc.edu)
 * Project Manager and Principal Investigator: Roy Campbell (roy@cs.uiuc.edu)
 *
 * Funded by: NSF TAPESTRY Grant No. 1-5-30035, NASA ICLASS Grant 
 *   No. 1-5-25469 and No. NSG1471 and AT&T Metronet Grant No. 1-5-37411.
 */
/*
 * Print.c - Implementation of Print.
 *
 *	$Header: Print.c,v 1.1 88/02/12 18:19:41 johnston Exp $
 *	$Locker: johnston $
 */

#include <stdio.h>
#include <varargs.h>
#include "Clock.h"
#include "Print.h"

void
Print( char * format, ... )
{
	/*
	 * Print without allowing preemption.
	 */
	extern void _doprnt( char *, va_list *, FILE * );
	int mask = BlockClock();
	_doprnt( format, (va_list *) (&format + 1), stdout );
	fflush(stdout);
	UnblockClock(mask);
}
